> ## Documentation Index
> Fetch the complete documentation index at: https://razorpay-881012b3.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a Mobile Number Verification Token

> Get a mobile number verification token using the Razorpay API.

<div style={{display:"flex",flexWrap:"wrap",alignItems:"center",gap:"0.35rem 0.9rem",border:"1px solid rgba(128,128,128,0.28)",borderRadius:"0.5rem",padding:"0.45rem 0.75rem",margin:"0 0 1.25rem",fontSize:"0.875rem"}}>
  <span style={{fontWeight:600}}>Available in</span>
  <span>🇮🇳 India</span>
</div>

Use this endpoint to get a mobile number verification token.

<RequestExample>
  ```bash Request theme={null}
  curl -X POST 'api.rzp.<bank>.com/v1/upi/tpap/mobile/verification' \
  -u [YOUR_KEY_ID]:[YOUR_SECRET] \
  -H "Content-type: application/json" \
  -H "x-customer-reference: 919999999999" \
  -d '{
    "device":{
      "uuid":"<device_id>",
      "app":"app.merchant.upi.com",
      "ssid":"123456789",
      "manufacturer":"samsung",
      "model":"Galaxy S23",
      "os":"android",
      "os_version":"Dev12345",
      "ip":"ip of the device",
      "geocode":"geographical code of the device"
      },
    "verification_type":"sms",
    "mobile":"91999999999",
    "network_provider":"vodafone"
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "verification_type":"sms",
    "sms":{
      "content":"UPIACT ad56ef90396348bac56099",
      "receiver_number":[
        {
          "network_provider":"vodafone",
          "mobile":"09988776655"
        },
        {
          "network_provider":"airtel",
          "mobile":"09876543210"
        }
      ]
    },
    "expire_at":1715836058
  }
  ```
</ResponseExample>

## Request Parameters

<ParamField body="customer_reference" type="string" required>
  The unique identifier the merchant has created for the customer. This should be passed as a header. Know more about [headers](/docs/payments/tpap-pro/integration-guide#header-information).
</ParamField>

<ParamField body="device" type="object" required>
  The device details.
</ParamField>

<ParamField body="uuid" type="string">
  The unique identifier of the device. For example, `advertising_id`.
</ParamField>

<ParamField body="app" type="string">
  The package name for the app.
</ParamField>

<ParamField body="ssid" type="string">
  The service set identifier (unique network identifier).
</ParamField>

<ParamField body="manufacturer" type="string">
  The phone manufacturer.
</ParamField>

<ParamField body="model" type="string">
  The phone model. For example, `Galaxy S23`.
</ParamField>

<ParamField body="os" type="string">
  The operating system running on the device.
</ParamField>

<ParamField body="os_version" type="string">
  The version of the operating system.
</ParamField>

<ParamField body="ip" type="string">
  IP address of the device.
</ParamField>

<ParamField body="geocode" type="string">
  The geocode of the device.
</ParamField>

<ParamField body="verification_type" type="string" required>
  The verification type. Possible value is `sms`.
</ParamField>

<ParamField body="mobile" type="string" required>
  The mobile number.
</ParamField>

<ParamField body="network_provider" type="string" required>
  Network provider on the selected mobile number.
</ParamField>

## Response Parameters

<ResponseField name="verification_type" type="string">
  The verification type.
</ResponseField>

<ResponseField name="sms" type="object">
  Details required for verification via SMS.
</ResponseField>

<ResponseField name="content" type="string">
  The SMS token sent through customer's phone to verify the mobile number.
</ResponseField>

<ResponseField name="receiver_number" type="list">
  Contains the data for receiver numbers to whom the SMS content should be sent to for verifying the mobile.
</ResponseField>

<ResponseField name="network_provider" type="string">
  Information about the network provider who verifies the mobile number.
</ResponseField>

<ResponseField name="mobile" type="string">
  The number of the network provider the SMS is sent to verify the mobile number.
</ResponseField>

<ResponseField name="expire_at" type="string">
  The expiry time of the verification request in UNIX timestamp.
</ResponseField>
